Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UISelectBoolean

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectBoolean

All Implemented Interfaces:
  java.util.EventListener, EditableValueHolder, PartialStateHolder, StateHolder, TransientStateHolder, ValueHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

Direct Known Subclasses:
  HtmlSelectBooleanCheckbox

    public class UISelectBoolean

extends UIInput

UISelectBoolean is a `UIComponent` that represents a single boolean (`true` or `false`) value. It is most commonly rendered as a checkbox.

By default, the `rendererType` property must be set to "`javax.faces.Checkbox`". This value can be changed by calling the `setRendererType()` method.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY` The standard component family for this component.
`static java.lang.String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UISelectBoolean()` Create a new `UISelectBoolean` instance with default property values.

Method Summary
`java.lang.String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`ValueBinding` | `getValueBinding(java.lang.String name)` Deprecated. This has been replaced by `getValueExpression(java.lang.String)`.
`javax.el.ValueExpression` | `getValueExpression(java.lang.String name)` Return any `ValueExpression` set for `value` if a `ValueExpression` for `selected` is requested; otherwise, perform the default superclass processing for this method.
`boolean` | `isSelected()` Return the local value of the selected state of this component.
`void` | `setSelected(boolean selected)` Set the local value of the selected state of this component.
`void` | `setValueBinding(java.lang.String name, ValueBinding binding)` Deprecated. This has been replaced by `setValueExpression(java.lang.String, javax.el.ValueExpression)`.
`void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)` Store any `ValueExpression` specified for `selected` under `value` instead; otherwise, perform the default superclass processing for this method.

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UISelectBoolean

    public UISelectBoolean()

  Create a new `UISelectBoolean` instance with default property values.

Method Detail

### getFamily

    public java.lang.String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Overrides:
    `getFamily` in class `UIInput`

### isSelected

    public boolean isSelected()

  Return the local value of the selected state of this component. This method is a typesafe alias for `getValue()`.

### setSelected

    public void setSelected(boolean selected)

  Set the local value of the selected state of this component. This method is a typesafe alias for `setValue()`.

  Parameters:
    `selected` - The new selected state

### getValueBinding

    public ValueBinding getValueBinding(java.lang.String name)

  Deprecated. This has been replaced by `getValueExpression(java.lang.String)`.

  Return any `ValueBinding` set for `value` if a `ValueBinding` for `selected` is requested; otherwise, perform the default superclass processing for this method.

  Rely on the superclass implementation to wrap the returned `ValueExpression` in a `ValueBinding`.

  Overrides:
    `getValueBinding` in class `UIComponentBase`
  Parameters:
    `name` - Name of the attribute or property for which to retrieve a `ValueBinding`
  Throws:
    `java.lang.NullPointerException` - if `name` is `null`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                ValueBinding binding)

  Deprecated. This has been replaced by `setValueExpression(java.lang.String, javax.el.ValueExpression)`.

  Store any `ValueBinding` specified for `selected` under `value` instead; otherwise, perform the default superclass processing for this method.

  Rely on the superclass implementation to wrap the argument `ValueBinding` in a `ValueExpression`.

  Overrides:
    `setValueBinding` in class `UIComponentBase`
  Parameters:
    `name` - Name of the attribute or property for which to set a `ValueBinding`
    `binding` - The `ValueBinding` to set, or `null` to remove any currently set `ValueBinding`
  Throws:
    `java.lang.NullPointerException` - if `name` is `null`

### getValueExpression

    public javax.el.ValueExpression getValueExpression(java.lang.String name)

  Return any `ValueExpression` set for `value` if a `ValueExpression` for `selected` is requested; otherwise, perform the default superclass processing for this method.

  Overrides:
    `getValueExpression` in class `UIComponent`
  Parameters:
    `name` - Name of the attribute or property for which to retrieve a `ValueExpression`
  Throws:
    `java.lang.NullPointerException` - if `name` is `null`
  Since:
    1.2

### setValueExpression

    public void setValueExpression(java.lang.String name,
                                   javax.el.ValueExpression binding)

  Store any `ValueExpression` specified for `selected` under `value` instead; otherwise, perform the default superclass processing for this method.

  Overrides:
    `setValueExpression` in class `UIComponent`
  Parameters:
    `name` - Name of the attribute or property for which to set a `ValueExpression`
    `binding` - The `ValueExpression` to set, or `null` to remove any currently set `ValueExpression`
  Throws:
    `java.lang.NullPointerException` - if `name` is `null`
  Since:
    1.2

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.